| Home | Libraries | People | FAQ | More

## Struct is_less

boost::algorithm::is_less — is_less functor

## Synopsis

    // In header: <boost/algorithm/string/compare.hpp>

    struct is_less {

      // public member functions
      template<typename T1, typename T2>
        bool operator()(const T1 &, const T2 &) const;
    };

## Description

Convenient version of standard std::less. Operation is templated, therefore it is not required to specify the exact types upon the construction

### `is_less` public member functions

1.     template<typename T1, typename T2>
         bool operator()(const T1 & Arg1, const T2 & Arg2) const;

   Functor operation.

   Compare two operands using > operator